%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                     Model preA                            %
%                Kyasha, Piotr and Anita                    %
%                    16th August 2010                       %
% Simple production of dioxygenase. Transcription and       %
% translation are combined into 1 ODE.                      %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function p_prime= model_pre_a(t,p_d)
%% Units
% [p_prime] = [mol*dm^-3*s^-1]
% [s_d] = [mol*dm^-3*s^-1]
% [d_d] = [s^-1]
% [p_d] = [mol*dm^-3]

%% Declaring global variables
global s_sd %production rate constant of splitDioxygenase
global deg_c %common degradation constant due to cell division

%% Constants
s_d = s_sd;% prodn rate of dioxygenase by transcription and translation is assumed to be of the same value as production of split species
d_d = deg_c;        % deg rate of dioxygenase

%% Equation
p_prime = s_d - d_d*p_d;     

end